# Interface DBResultWithColIndex

interface DBResultWithColIndex {
headers: string[];
index: Record<string, number>;
ok: true;
rows: DBValue[][];
}

#### Hierarchy (view full)

- IDBResult
  - DBResultWithColIndex

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:34

#####
Index

### Properties

headers
index
ok
rows

##
Properties

### headers

headers: string[]

Inherited from IDBResult.headers

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:20

### index

index: Record<string, number>

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:35

### ok

ok: true

Inherited from IDBResult.ok

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:22

### rows

rows: DBValue[][]

Inherited from IDBResult.rows

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/types/types.ts:21